/* Style overrides for XNAT Works theme */

@import url('https://fonts.googleapis.com/css2?family=Nunito+Sans:ital,opsz,wght@0,6..12,200..1000;1,6..12,200..1000&display=swap');

:root {
    --xw-green: #42b549;
    --xw-blue: #045ea3;
    --xw-yellow: #ffc803;
    --xw-gold: #df9903;
    --zbi-blue-900: #292d5f;
    --zbi-blue-700: #0849a3;
    --zbi-blue-500: #1959aa;
    --zbi-blue-400: #2a69b0;
    --zbi-blue-300: #3c79b7;
    --zbi-blue-200: #4d89bd;
    --zbi-blue-100: #84a4d1;
    --zbi-blue-primary: var(--zbi-blue-700);
    --zbi-blue-light: var(--zbi-blue-300);
    --zbi-blue-highlight: #d3e2ef;
    --zbi-blue-dark: var(--zbi-blue-900);

    /* redefining core XNAT colors */
    --XNAT-blue-500: var(--zbi-blue-400);
    --primary-button-bg: var(--zbi-blue-primary);
    --primary-button-border: var(--zbi-blue-dark);
    --link-color: var(--zbi-blue-primary);
    --link-color-hover: var(--zbi-blue-400);
    --link-color-reverse: #fff;
}

html body {
    font-family: "Nunito Sans",arial,sans-serif !important;
    font-weight: 400;
    color: #242424;
}

#user_bar a { color: #fff; }
#advanced-search-topnav a { color: var(--link-color-reverse) !important; }

/* user bar */
#user_bar {
    color: var(--text-color-reverse);
    background: var(--zbi-blue-primary);
}

/* main nav */
#main_nav {
    background-color: var(--zbi-blue-primary);
    background-image: none;
    border-bottom: none;
    font-family: "Nunito Sans",arial,sans-serif !important;
    font-weight: 500;
}

#main_nav #nav-home {
    background-image: url('../images/zbi-icon.png') !important;
}
#main_nav ul.nav > li,
#main_nav ul.nav > li:first-of-type { border: none; }
#main_nav ul.nav > li > a { color: #fff; }
#main_nav ul.nav > li > a:hover,
#main_nav ul.nav > li.active > a { background-color: var(--zbi-blue-400); }
#main_nav ul.nav ul { border-top: 1px solid var(--zbi-blue-primary); }
#main_nav ul.nav > li > a { padding: 0 16px; }

#main_nav ul.nav table.data-table tr:hover,
#main_nav ul.nav table.data-table .item:hover {
    background: var(--hover-bg) !important;
}
#page_wrapper { padding: 0 0 2rem; }
#xnat_power {
    background: var(--zbi-blue-primary);
    border: none;
    width: 100vw;
    margin: inherit;
    left: inherit;
    padding: 20px 0;
}
#xnat_power small { color: var(--text-color-reverse); }
#xnat_power a img { display: none; }
#xnat_power a {
    background: url(../images/xnat_power_trans.png) no-repeat;
    background-size: 100%;
    display: inline-block;
    height: 40px;
    width: 180px;
}

/* tab styles */
.yui-skin-sam .yui-navset .yui-nav .selected a,
.yui-skin-sam .yui-navset .yui-nav .selected a em,
.yui-skin-sam .yui-navset .yui-nav .selected a:focus,
.yui-skin-sam .yui-navset .yui-nav .selected a:hover {
    background: var(--zbi-blue-500);
    border-color: var(--zbi-blue-500);
}

.yui-skin-sam .yui-navset .yui-nav,
.yui-skin-sam .yui-navset .yui-navset-top .yui-nav,
#search_tabs.yui-navset.yui-navset-top > .wrangler {
    border-bottom: 5px solid var(--zbi-blue-500) !important;
}

/* actions menu */
#actionsMenu > .bd > .first-of-type a {
    background: var(--zbi-blue-500);
}

/* panels (admin page) */
body.xnat .panel-default .panel-heading {
    background: var(--zbi-blue-500);
}
.xnat-nav-tabs li.tab.active { background: var(--zbi-blue-500); }
.xnat-nav-tabs.side li.tab.active > a { border-left-color: var(--zbi-blue-500); }

/* actions menu */
#actionsMenu li a:hover,
#actionsMenu li.yuimenuitem-hassubmenu > a:hover {
    background-color: var(--zbi-blue-highlight);
}

/* Login page customizations */
#xnat-login {
    color: var(--text-color-reverse);
    height: calc(100vh - 130px); /* full height minus the "xnat_power" footer */
}
#xnat-login,
#xnat-login #page_wrapper,
#xnat-login #header {
    background: var(--zbi-blue-primary);
}
#xnat-login #header_logo {
    background: url(../images/cu-logo-trans.png) no-repeat;
    background-size: 100%;
    display: block;
    height: 120px;
    max-width: 600px;
}
#xnat-login #header_logo img {
    display: none;
}
.login-box-container-fixed {
    color: var(--text-color);
}
#login_auth_providers a {
    padding: 12px 18px;
    width: calc(100% - 36px);
    text-align: center;
}
#login_auth_providers a::before {
    content: '';
    display: inline-block;
    height: 16px;
    width: 16px;
    padding-right: 12px;
    background-image: url(../images/zbi-icon.png);
    background-size: 16px;
    background-repeat: no-repeat;
    margin-bottom: -2px;
}
fieldset.divider legend { margin: 0 auto; }

#header_logo {
    background: url(../images/cu-logo-blue.png) no-repeat;
    background-size: 100%;
    display: block;
    height: 100px;
    max-width: 480px;
}
#header_logo img {
    display: none;
}


/* other widgets */
body #accordion h3 {
    font-family: inherit !important;
}
body #accordion h3.active,
div.download-column h3 {
    background: var(--zbi-blue-500) !important;
    border: 1px solid var(--zbi-blue-500) !important;
}
body #accordion .content {
    background: var(--page-bg);
}
body #accordion .content td.highlighted {
    background: none;
    border: none;
}

/* other ui elements */
div.containerTitle.withColor {
   background: var(--zbi-blue-500) !important;
}

.xnat-table tr.highlight:hover,
.xnat-table.highlight tr:hover,
.xnat-table.striped.highlight tr:hover {
    background: var(--zbi-blue-highlight);
}

button, [type="button"], [type="submit"], [type="reset"], .btn, .btn1, .btn2 {
    font-family: "Nunito Sans",arial,sans-serif;
}
div.xnat-dialog > .footer .button.default {
    background: var(--primary-button-bg);
    border-color: var(--primary-button-border);
}
